
local frame = CreateFrame("Frame")
local bSetSwappingGear = false
frame:RegisterUnitEvent("EQUIPMENT_SWAP_FINISHED")
frame:RegisterUnitEvent("PLAYER_SPECIALIZATION_CHANGED")

local function AutoGearSwap_OnEvent(self, event,...)
		local currspec = GetSpecialization()
		if currspec then
				local id, name, description, icon, background, role = GetSpecializationInfo(currspec)

				if not AutoGearSwapPrefs or AutoGearSwapPrefs == nil then
					AutoGearSwapPrefs = {}
				end

				if event == "PLAYER_SPECIALIZATION_CHANGED" then			
					if AutoGearSwapPrefs[currspec] == nil then
							print("|cA330C900AutoGearSwap|r: No Gear Set for "..name..", Swap to a set in Equpment Manager and this add-on will remember it in future.")
					else				
							print("|cA330C900AutoGearSwap|r: Specialization changed to "..name..", automatically changing gear to "..AutoGearSwapPrefs[currspec].." Equipment Set")			
							bSetSwappingGear = true
							UseEquipmentSet(AutoGearSwapPrefs[currspec])
					end
				elseif event == "EQUIPMENT_SWAP_FINISHED" then
					local success,currset = ...
					if bSetSwappingGear == false then
							print("|cA330C900AutoGearSwap|r: Gear swapped to "..currset.." for "..name)
							AutoGearSwapPrefs[currspec] = currset							
					end
					bSetSwappingGear = false
				end
		end
end

frame:SetScript("OnEvent",AutoGearSwap_OnEvent)
